## loci.formats
Class FormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              loci.formats.FormatException

All Implemented Interfaces:
  Serializable

public class FormatException
extends Exception

FormatException is the exception thrown when something goes wrong performing a file format operation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`FormatException()`
`FormatException(String s)`
`FormatException(String s, Throwable cause)`
`FormatException(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormatException

    public FormatException()

### FormatException

    public FormatException(String s)

### FormatException

    public FormatException(String s,
                           Throwable cause)

### FormatException

    public FormatException(Throwable cause)